LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XAccessibleEventBroadcaster Interface Reference

makes it possible to register listeners which are called whenever an accessibility event (see AccessibleEventObject) occurs. More...

`import"XAccessibleEventBroadcaster.idl";`

Inheritance diagram for XAccessibleEventBroadcaster:

## Public Member Functions
void | addAccessibleEventListener ([in] XAccessibleEventListener xListener)
| registers the given XAccessibleEventListener. More...
void | removeAccessibleEventListener ([in] XAccessibleEventListener xListener)
| unregisters the given XAccessibleEventListener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to register listeners which are called whenever an accessibility event (see AccessibleEventObject) occurs.

See also
  AccessibleEventObject
  XAccessibleEventListener

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ addAccessibleEventListener()

void addAccessibleEventListener | ( | [in] XAccessibleEventListener | xListener | ) |

registers the given XAccessibleEventListener.

## ◆ removeAccessibleEventListener()

void removeAccessibleEventListener | ( | [in] XAccessibleEventListener | xListener | ) |

unregisters the given XAccessibleEventListener.

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleEventBroadcaster.idl